Ubuntu: 1886-1: Puppet vulnerability

LinuxSecurity.com: Puppet could be made to run programs if it received specially craftednetwork traffic.